#include<iostream>
using namespace std;
int main(){
    int n,k,a[20001],maxi=0,br=0,p=0,m=0;
    cin>>n;
    cin>>k;
    for(int i=0;i<n;i++){
        int a[i];
        cin>>a[i];
        br++;
        int m=a[i];

        if(br==n)
            maxi=m;///poslednje mesto

        if(k==a[i]){
            if(a[i]!=maxi){
                p=i+1;
            }
            else
                p=1;

        }

        if(i==p){
            cout<<a[i]<<endl;
               return 0;
        }
    }

}